Opsview 6.9.x End of Support

Opsview versions 6.9.x reached their End of Support (EOS) status at the end of January 2026, in accordance with our Support policy. As of this date, these versions no longer receive code fixes, security updates, maintenance releases, or backported changes.

The documentation for version 6.9.7 and earlier releases will remain accessible for reference, but it will no longer be updated or maintained. We strongly recommend upgrading to the latest supported version of Opsview to ensure continued support and access to the latest features and security enhancements.

Notes - Fetching

Host input Copied

opsview_rest --token-file /path/to/opsview_restapi_token --data-format=json --pretty GET /rest/notes/host/7

Returns:

{
   "id" : "7",
   "note" : "This is a host note",
   "writeable" : "1"
}

Service Check input Copied

opsview_rest --token-file /path/to/opsview_restapi_token --pretty --data-format=json GET '/rest/notes/service?hostname=opsview-master&servicename=CPU Statistics'

Returns:

{
   "id" : "578",
   "note" : "This is a service check note",
   "writeable" : "1"
}

The note will be in a mini HTML format.

Error conditions: Invalid id or no permission on host - 404.

Note

For more information on how to generate and use the token file, see opsview_rest documentation.
["Opsview On-Premises"] ["API", "Technical Reference"]

Was this topic helpful?